<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 3</h1>
    <a>Ejercicio 5</a>

    <script>

    class Pila {
        constructor() {
            this.pila = [];
        }

        push(element) {
                this.pila.push(element);
                return this.pila;
        }

        pop() {
            this.pila.pop();            
            return this.pila;
        }

        ordenarPila() {
            let temPila = new Array,
                      p = 0;
        
            while ( this.pila.length > 0 ) {
                temPila[p] = this.pila.pop();
                p++;
            }

            let band = false;
            while(!band) {
                band = true;
                for( var i = 0; i < temPila.length; i++) {
                    if(temPila[i] > temPila[i+1]) {
                        let aux = temPila[i+1];
                        temPila[i+1] = temPila[i];
                        temPila[i] = aux;
                        band = false;
                    }
                }
            }           
            return console.log(`Pila Ordenada: ${temPila}`);
        }


        print() {
            console.log(`---------------------`);
            console.log(`Pila: ${this.pila}`);
            console.log(`---------------------`);
        }
    }


    let pilita = new Pila();
    pilita.push(9);
    pilita.push(3);
    pilita.push(7);
    pilita.push(1);
    pilita.print();

    pilita.ordenarPila();



    </script>
    
</body>
</html>